# Generated by Django 4.2 on 2023-05-11 12:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0010_contract_resubmit_reason"),
    ]

    operations = [
        migrations.AlterField(
            model_name="contract",
            name="resubmit_reason",
            field=models.TextField(blank=True, default=None, null=True),
        ),
        migrations.CreateModel(
            name="AuditTrail",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("audit_status", models.CharField(blank=True, max_length=50)),
                ("changed_by", models.CharField(blank=True, max_length=255)),
                ("changed_at", models.DateField(blank=True)),
                (
                    "contract",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="audit_trail",
                        to="contracts.contract",
                    ),
                ),
            ],
        ),
    ]
